WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000583WeBid[All Projects] Generalpublic2016-07-13 20:272016-07-19 07:58
Reporterbigalgeorge 
Assigned Torenlok 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS Version
Product Version1.2.0 
Target VersionFixed in Version1.2.1 
Summary0000583: PluploadHandler.php issues
DescriptionSome PHP does not instance fileinfo mime. //To overcome this picture upload failure Ive done this shonky change:
 line 135 on.//
                // check mime type
                $finfo = finfo_open(FILEINFO_MIME_TYPE);
                        if (is_object($finfo))
                        {
                        $mime_type = finfo_file($finfo, $file_path_info['dirname'] . '/' .$file_path_info['basename']);
                        if (!in_array($mime_type, $allowed_mime_types))
                        {throw new Exception('', PLUPLOAD_TYPE_ERR);}
                        }
                        finfo_close($finfo);// also on line 81 it seems DIRECTORY is superflous as its appended to ini call:// // 'tmp_dir' => ini_get("upload_tmp_dir") . DIRECTORY_SEPARATOR . "plupload",
            'tmp_dir' => ini_get("upload_tmp_dir") . "plupload",
            
Steps To ReproduceStandard use
Additional InformationSorry, I hate this bugs report system you cant format your input it seems!!
TagsNo tags attached.
import_id
Thread
Attached Files

- Relationships

-  Notes
(0001441)
timw255 (reporter)
2016-07-18 19:56

This is addressed in 1.2.1

- Issue History
Date Modified Username Field Change
2016-07-13 20:27 bigalgeorge New Issue
2016-07-18 19:56 timw255 Note Added: 0001441
2016-07-19 07:58 renlok Status new => resolved
2016-07-19 07:58 renlok Fixed in Version => 1.2.1
2016-07-19 07:58 renlok Resolution open => fixed
2016-07-19 07:58 renlok Assigned To => renlok


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker